GO
ALTER TABLE [arch].[ACT_TASK] DROP CONSTRAINT [DF_getdate_183940267_arch]
ALTER TABLE [arch].[ACT_TASK] ALTER COLUMN CREAT_DT datetime
ALTER TABLE [arch].[ACT_TASK] ADD  CONSTRAINT [DF_getdate_183940267_arch]  DEFAULT (getdate()) FOR [CREAT_DT]
GO
ALTER TABLE [arch].[AD_EVENT_ACCS_TAG] DROP CONSTRAINT [PK_AD_EVENT_ACCS_TAG_arch]
ALTER TABLE [arch].[AD_EVENT_ACCS_TAG]	ALTER COLUMN CKT_ID [varchar](30) not null
ALTER TABLE [arch].[AD_EVENT_ACCS_TAG]	ALTER COLUMN OLD_CKT_ID [varchar](30)
ALTER TABLE [arch].[AD_EVENT_ACCS_TAG] ADD CONSTRAINT [PK_AD_EVENT_ACCS_TAG_arch] PRIMARY KEY CLUSTERED
([EVENT_ID] ASC,[CKT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
ALTER TABLE [arch].[APPT] ALTER COLUMN END_TMST datetime
ALTER TABLE [arch].[APPT] 	ALTER COLUMN STRT_TMST datetime
	
	
ALTER TABLE [arch].[APPT_RCURNC_DATA]	ALTER COLUMN END_TMST datetime
ALTER TABLE [arch].[APPT_RCURNC_DATA]	ALTER COLUMN STRT_TMST datetime
--ADD
CREATE TABLE [arch].[ASR] (
	[ACCS_BDWD_DES] [varchar](100) NULL,
	[ACCS_CTY_NME_SITE_CD] [varchar](100)  NULL,
	[ASR_ID] [int] NULL,
	[ASR_NOTES_TXT] [varchar](1000) NULL,
	[ASR_TYPE_ID] [int] NULL,
	[CREAT_BY_USER_ID] [int]  NULL,
	[CREAT_DT] [datetime] NULL,
	[DLCI_DES] [varchar](100) NULL,
	[EMAIL_REQ_ID] [int] NULL,
	[ENTRNC_ASMT_TXT] [varchar](100) NULL,
	[H1_MATCH_MSTR_VAS_CD] [bit] NULL,
	[INTL_DOM_EMAIL_CD] [char](1) NULL,
	[IP_NODE_TXT] [varchar](100) NULL,
	[LEC_NNI_NBR] [varchar](50) NULL,
	[MSTR_FTN_CD] [varchar](20) NULL,
	[ORDR_ID] [int] NULL,
	[PTNR_CXR_CD] [varchar](100) NULL,
	[STUS_ID] [smallint] NULL,
	[TRNSPNT_CD] [bit] NULL)
GO
--ALTER TABLE [arch].[CCD_HIST] DROP CONSTRAINT [FK01_CCD_HIST_arch]
ALTER TABLE [arch].[CCD_HIST] ALTER COLUMN NTE_ID [int]
GO
	
-- ADD
ALTER TABLE [arch].[CKT] ADD
	[RTNG_PRCOL] [varchar](500) NULL,
	[IP_ADR_QTY] [varchar](20)  NULL,
	[CUST_IP_ADR] [varchar](2000) NULL,
	[SCA_DET] [varchar](1000) NULL,
	[RLTD_VNDR_ORDR_ID] [varchar](100) NULL
	
GO
ALTER TABLE [arch].[EVENT_FAIL_ACTY] DROP CONSTRAINT [PK_EVENT_FAIL_ACTY_arch]
ALTER TABLE [arch].[EVENT_FAIL_ACTY] DROP CONSTRAINT [FK02_EVENT_FAIL_ACTY_arch]
ALTER TABLE [arch].[EVENT_HIST] DROP CONSTRAINT [PK_EVENT_HIST_arch]
ALTER TABLE [arch].[EVENT_HIST] DROP CONSTRAINT [DF_getdate_979911529_arch]
ALTER TABLE [arch].[EVENT_SUCSS_ACTY] DROP CONSTRAINT [PK_EVENT_SUCSS_ACTY_arch]
ALTER TABLE [arch].[EVENT_FAIL_ACTY] ALTER COLUMN EVENT_HIST_ID [int] NOT NULL
ALTER TABLE [arch].[EVENT_HIST] ALTER COLUMN CREAT_DT [datetime]
ALTER TABLE [arch].[EVENT_HIST]	ALTER COLUMN EVENT_HIST_ID [int] not null
ALTER TABLE [arch].[EVENT_HIST]	ALTER COLUMN MODFD_DT [datetime]
	
	
ALTER TABLE [arch].[EVENT_SUCSS_ACTY] ALTER COLUMN EVENT_HIST_ID [int] not null
GO
ALTER TABLE [arch].[EVENT_FAIL_ACTY] ADD CONSTRAINT [PK_EVENT_FAIL_ACTY_arch] PRIMARY KEY CLUSTERED
([EVENT_HIST_ID] ASC,[FAIL_ACTY_ID] ASC,[REC_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
ALTER TABLE [arch].[EVENT_FAIL_ACTY] ADD CONSTRAINT [PK_EVENT_FAIL_ACTY_arch] PRIMARY KEY CLUSTERED
([EVENT_HIST_ID] ASC,[FAIL_ACTY_ID] ASC,[REC_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
ALTER TABLE [arch].[EVENT_FAIL_ACTY]  WITH CHECK ADD  CONSTRAINT [FK02_EVENT_FAIL_ACTY_arch] FOREIGN KEY([EVENT_HIST_ID])
REFERENCES [arch].[EVENT_HIST] ([EVENT_HIST_ID])	
ALTER TABLE [arch].[EVENT_HIST] ADD CONSTRAINT	[PK_EVENT_HIST]PRIMARY KEY CLUSTERED
([EVENT_HIST_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
ALTER TABLE [arch].[EVENT_HIST] ADD  CONSTRAINT [DF_getdate_979911529_arch]  DEFAULT (getdate()) FOR [CREAT_DT]
ALTER TABLE [arch].[EVENT_SUCSS_ACTY] ADD CONSTRAINT [PK_EVENT_SUCSS_ACTY_arch] PRIMARY KEY CLUSTERED
([EVENT_HIST_ID] ASC,[SUCSS_ACTY_ID] ASC,[REC_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [arch].[EMAIL_REQ] DROP CONSTRAINT [DF_getdate_599694748_arch]
ALTER TABLE [arch].[EMAIL_REQ]	ALTER COLUMN CREAT_DT datetime
ALTER TABLE [arch].[EMAIL_REQ] ADD  CONSTRAINT [DF_getdate_599694748_arch]  DEFAULT (getdate()) FOR [CREAT_DT]	
GO	
	
-- ALTER TABLE [arch].[FSA_ORDR]
	-- ALTER COLUMN RELTD_FTN [varchar](200)
	
-- ADD | To be confirmed
-- ALTER TABLE [arch].[FSA_ORDR] ADD
	-- [CXR_ACCS_CD] [varchar](5) NULL,
	-- [INSTL_DSGN_DOC_NBR] [varchar](20)  NULL,
	-- [PL_NBR] [varchar](200) NULL,
	-- [PORT_RT_TYPE_CD] [varchar](6) NULL,
	-- [RELTD_FTN] [varchar](200) NULL,
	-- [SPA_ACCS_INDCR_DES] [varchar](20)  NULL,
	-- [TPORT_CNCTR_TYPE_ID] [varchar](20) NULL,
	-- [TPORT_CUST_ROUTR_AUTO_NEGOT_CD] [varchar](5) NULL,
	-- [TPORT_CUST_ROUTR_TAG_TXT] [varchar](20) NULL,
	-- [TPORT_DIA_NOC_TO_NOC_TXT] [varchar](50) NULL,
	-- [TPORT_ETH_ACCS_TYPE_CD] [varchar](3) NULL,
	-- [TPORT_ETHRNT_NRFC_INDCR] [varchar](50) NULL,
	-- [TPORT_IP_VER_TYPE_CD] [varchar](10) NULL,
	-- [TPORT_IPV4_ADR_PRVDR_CD] [varchar](8) NULL,
	-- [TPORT_IPV4_ADR_QTY] [varchar](10) NULL,
	-- [TPORT_IPV6_ADR_PRVDR_CD] [varchar](8) NULL,
	-- [TPORT_IPV6_ADR_QTY] [varchar](10) NULL,
	-- [TPORT_PROJ_DES] [varchar](50) NULL,
	-- [TPORT_VLAN_QTY] [smallint] NULL,
	-- [TPORT_VNDR_QUOTE_ID] [varchar](100) NULL,
	-- [TPORT_VNDR_RAW_MRC_AMT] [varchar](25) NULL,
	-- [TPORT_VNDR_RAW_NRC_AMT] [varchar](25) NULL,
	-- [TPORT_VNDR_RVSD_QOT_CUR] [varchar](25) NULL,
	-- [TTRPT_ACCS_ARNGT_CD] [varchar](30) NULL,
	-- [TTRPT_ACCS_BDWD_TYPE] [varchar](30) NULL,
	-- [TTRPT_ACCS_TERM_DES] [varchar](30) NULL,
	-- [TTRPT_ENCAP_CD] [varchar](25) NULL,
	-- [TTRPT_FBR_HAND_OFF_CD] [varchar](50) NULL,
	-- [TTRPT_QOT_XPIRN_DT] [date] NULL,
	-- [TTRPT_VNDR_TERM] [varchar](12) NULL
	
	
ALTER TABLE [arch].[FSA_ORDR_CPE_LINE_ITEM]	ALTER COLUMN INSTL_DSGN_DOC_NBR [varchar](100)
-- ADD
ALTER TABLE [arch].[FSA_ORDR_CPE_LINE_ITEM] ADD
	[CPE_CUST_PRVD_SERIAL_NBR] [varchar](200) NULL,
	[NID_SERIAL_NBR] [varchar](100) NULL,
	[SMRT_ACCT_DOMN_TXT] [varchar](100) NULL,
	[SPRINT_MNTD_FLG] [char](1) NULL,
	--[TTRPT_COS_CD] [varchar](5) NULL,
	[VRTL_ACCT_DOMN_TXT] [varchar](100) NULL
	
	
ALTER TABLE [arch].[H5_FOLDR]	ALTER COLUMN CUST_CTY_NME [varchar](500)
	
	
ALTER TABLE [arch].[MDS_EVENT]	ALTER COLUMN CUST_SOW_LOC_TXT [varchar](2000)
	
-- ADD
ALTER TABLE [arch].[MDS_EVENT] ADD
	[IPM_DES] [varchar](500) NULL,
	[NID_HOST_NME] [varchar](100) NULL,
	[NID_SERIAL_NBR] [varchar](100) NULL,
	--[NTWK_CUST_NME] [varchar](250) NULL,
	--[NTWK_EVENT_TYPE_ID] [tinyint] NULL,
	--[NTWK_H1] [varchar](9) NULL,
	--[NTWK_H6] [varchar](max) NULL,
	[RLTD_CMPS_NCR_CD] [bit] NULL,
	[RLTD_CMPS_NCR_NME] [varchar](200) NULL
	--[STREET_ADR] [varchar](500) NULL,
	--[VPN_PLTFRM_TYPE_ID] [tinyint] NULL
	
-- ADD
GO
ALTER TABLE [arch].[MDS_EVENT_NEW] ADD	[CSG_LVL_CD] [varchar](5) NULL
GO	
ALTER TABLE [arch].[MDS_EVENT_FORM_CHNG] DROP CONSTRAINT [DF_getdate_488376750_arch]
ALTER TABLE [arch].[MDS_EVENT_FORM_CHNG] ALTER COLUMN CHNG_TYPE_NME [varchar](max) Not NULL
ALTER TABLE [arch].[MDS_EVENT_FORM_CHNG]	ALTER COLUMN CREAT_DT [datetime]
ALTER TABLE [arch].[MDS_EVENT_FORM_CHNG] ADD  CONSTRAINT [DF_getdate_488376750_arch]  DEFAULT (getdate()) FOR [CREAT_DT]
GO
-- ADD
CREATE TABLE [arch].[NID_ACTY] (
	[CREAT_BY_USER_ID] [int] NULL,
	[CREAT_DT] [datetime] NULL,
	[DD_APRVL_NBR] [varchar](200) NULL,
	[EVENT_ID] [int] NULL,
	[FSA_CPE_LINE_ITEM_ID] [int] NULL,
	[H6] [char](9) NULL,
	[M5_ORDR_NBR] [varchar](50) NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[NID_ACTY_ID] [int] NULL,
	[NID_HOST_NME] [varchar](100) NULL,
	[NID_SERIAL_NBR] [varchar](100) NULL,
	[REC_STUS_ID] [smallint] NULL)
GO
ALTER TABLE [arch].[ODIE_REQ] DROP CONSTRAINT [DF_getdate_604674969_arch]
ALTER TABLE [arch].[ODIE_REQ]	ALTER COLUMN CREAT_DT [datetime]
ALTER TABLE [arch].[ODIE_REQ] ADD  CONSTRAINT [DF_getdate_604674969_arch]  DEFAULT (getdate()) FOR [CREAT_DT]
GO
	
ALTER TABLE [arch].[ORDR_JPRDY] DROP CONSTRAINT [FK03_ORDR_JPRDY_arch]
ALTER TABLE [arch].[ORDR_JPRDY] DROP CONSTRAINT [PK_ORDR_JPRDY_arch]
ALTER TABLE [arch].[ORDR_NTE] DROP CONSTRAINT [DF_getdate_436837263_arch]
ALTER TABLE [arch].[ORDR_NTE] DROP CONSTRAINT [PK_ORDR_NTE_arch]
ALTER TABLE [arch].[ORDR_JPRDY]	ALTER COLUMN NTE_ID [int] not null
	
ALTER TABLE [arch].[ORDR_NTE]	ALTER COLUMN CREAT_DT [datetime]
ALTER TABLE [arch].[ORDR_NTE]	ALTER COLUMN NTE_ID [int] not null
ALTER TABLE [arch].[ORDR_NTE] ADD  CONSTRAINT [DF_getdate_436837263_arch]  DEFAULT (getdate()) FOR [CREAT_DT]
ALTER TABLE [arch].[ORDR_NTE] ADD CONSTRAINT [PK_ORDR_NTE_arch] PRIMARY KEY CLUSTERED
([NTE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
ALTER TABLE [arch].[ORDR_JPRDY]  WITH CHECK ADD  CONSTRAINT [FK03_ORDR_JPRDY_arch] FOREIGN KEY([NTE_ID])
REFERENCES [arch].[ORDR_NTE] ([NTE_ID])	
ALTER TABLE [arch].[ORDR_JPRDY]  ADD CONSTRAINT [PK_ORDR_JPRDY_arch] PRIMARY KEY CLUSTERED
(	[ORDR_ID] ASC,	[JPRDY_CD] ASC,	[NTE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	
GO
	
ALTER TABLE [arch].[MDS_EVENT_SLNK_WIRED_TRPT] ALTER COLUMN IP_NUA_ADR [varchar](255)
ALTER TABLE [arch].[MDS_EVENT_SLNK_WIRED_TRPT]	ALTER COLUMN OLD_CKT_ID [varchar](255)
ALTER TABLE [arch].[MDS_EVENT_SLNK_WIRED_TRPT]	ALTER COLUMN SPA_NUA [varchar](255)